<?php
include_once '../header_.php';
include_once '../php/config.php';
$sql_camarero = mysql_query("select * from camareros order by nombre asc") or die(mysql_error());
$sql_mesas0 = mysql_query("select * from mesas where nombre='".$_GET['txt-mesa']."'") or die(mysql_error());
$mesa = @mysql_result($sql_mesas0, 0, "nombre");
$camarero = @mysql_result($sql_mesas0, 0, "camarero");
$estado = @mysql_result($sql_mesas0, 0, "estado");
$ticket = @mysql_result($sql_mesas0, 0, "ticket");

$str_mesa= mysql_query("select * from mesas where estado='Disponible'") or die(mysql_error());



$str_c = mysql_query("select * from cuadres where usuario='".$_COOKIE['usuario']."'") or die(mysql_error());
$estado_caja = @mysql_result($str_c, 0, "estado");
if($estado_caja!="Abierta"){
	
	echo "<script>alert('DEBE DAR APERTURA AL TURNO DE CAJA PARA PODER REALIZAR VENTAS'); window.location.href='turnos_caja.php'</script>";
}
include_once 'operaciones2.php';
	
	
?>
<style>
.mesas{
	float:left;
	padding:1px;
	font-weight:bolder;
	font-size:20;
	@border-radius:40px 40px 40px;
	background:green;
	color:white;
	width:75px;
	height:75px;
	text-align:center;
	margin-left:3px;
	margin-top:3px;
	margin-right:3px;
}

.ocupada{
	background:orange;
	color:black;
}

.disponible{
	background:green;
	color:white;
}


.ocupada2{
	background:red;
	color:white;
}

.disponible2{
	background:blue;
	color:yellow;
}

.ocupada3{
	background:gray;
	color:blue;
}

.tabla_comanda2 th{
	background:orange;
}

@.tabla_comanda th{
	background:green;
	color:white;
}

.panel-heading  a{
	font-size:16px;
	margin-left:8px;
}

</style>
<?php

$sql_empresa = mysql_query("SELECT * FROM empresa") or die(mysql_error());

$logo= @mysql_result($sql_empresa,0,"logo");	
	
?>
<br><br>
<div class="container-fluid">
<div id="fondo" style="display:none">
<center>
<?php
 echo "<img src = '../LOGOS/$logo'>";?><br>
<span style="font-size:20; font-weight:lighter">Imprimiendo, espere...</span>
</center>
</div>

<div id="caja">
<div class="row">


	<div class="col-md-6">
		<div class="panel panel-success">
			<div class="panel panel-heading">
			 
			 <a class="text-danger mr-2" href="turnos_caja.php"><b><i class="bi bi-cash-coin"></i> Cuadre de caja</b></a>
			 <a class="text-primary mr-2" href="../pos/ventas.php"><i class="bi bi-calculator"></i> Ventas de hoy</a>
			 <a class="text-primary mr-2" href="../pos/ventas_abiertas.php"><i class="bi bi-clock-history"></i>Vtas. pend.</a>
			 <a class="text-primary mr-2" href="../menu/menu.php"><i class="bi bi-diagram-2"></i><b> Administrar</b></a>
			 <a class="text-primary mr-2 pull-right" href="../php/logout.php"><i class="bi bi-people"></i> Cerrar sesion</a>
			
			</div>
			<div class="panel-body">
			<a class="btn btn-success btn-lg" onClick="nuevo_pedido()"> NUEVO PEDIDO</a>
				<div class="row">
					<div class="col-md-12" id="lista_mesa" style="overflow-x:scroll">
					
					</div>
				</div>
			</div>
		</div>
	</div>
	
	
		<div class="col-md-6">
		<div class="panel panel-success">
				<div class="panel panel-heading">
		  <a class="btn btn-primary mr-2" href="vender.php"><i class="bi bi-diagram-2"></i><b> MESAS</b></a>

			 <a class="btn btn-success mr-2" href="javascript:void(0)" onClick="imprimir2(<?php echo $mesa?>)"><i class="bi bi-printer"></i> <b>PRE-CUENTA</b></a>
						
			<a class="text-success mr-2  h2" href="javascript:void(0)" onClick="modalCambio(<?php echo $mesa?>)"><i class="bi bi-arrow-down-up"></i> <b>CAMBIAR</b></a>
			<?php if($_COOKIE['nivel']=='Master')?><a class=" mt-2 text-info" id="btn_grabar_credito" onClick="modalCredito()"><i class="fa fa-save"></i> A CREDITO</a>
			 <a class="text-info pull-right mt-2" href="../clientes/creditos.php"><i class="bi bi-clock-history"></i> <b>Creditos</b></a>
		
			</div>
			<div class="panel-body">
			<div class="panel-body">
				<?php if($_COOKIE['nivel']=='Master'){?><a class="text-danger" href="cancelaciones.php?txt-mesa=<?php echo $mesa?>">Cancelaciones: <?php echo decimal($cancelaciones);?> </a><?php }?>
		
		<hr>
			<button class="btn btn-secondary text-primary" id="btn_grabar_contado" onClick="modalContado()"><i class="fa fa-coins"></i><b> COBRAR</b></button>

							<?php if($_COOKIE['nivel']=='Master')?><button class="btn btn-secondary text-danger" id="btn_grabar_credito" onClick="modalCredito()"><i class="fa fa-calendar"></i> A CREDITO</button>
			
			
		
			
			
|||
			<button class="btn btn-secondary text-primary" id="btn_abrir_mesa" onClick="abrir_mesa()"><i class="fa fa-upload" ></i> Abrir mesa</button>
			<?php if($_COOKIE['nivel']=='Master'){?><button class="btn btn-secondary text-danger" id="btn_cerrar_mesa" onClick="cerrar_mesa()"><i class="fa fa-download" ></i> Cerrar mesa</button><?php }?>

			
<br><br>
				<form method="GET" name="frm" id="frm" action="vender2.php">
				<div class="row">
				<div class="col-md-3">
					<b class="text-primary">Mesa</b><br>
					<input type="text" class="form-control mt-2 mb-2" name="txt-mesa" id="txt-mesa" readonly value="<?php echo $_GET['txt-mesa']?>">
				</div>
	
				<div class="col-md-4">
					<b class="text-primary">Camarero</b><br>
					<select  class="form-control mt-2 mb-2" name="txt-camarero" id="txt-camarero">
					<option value="">..</option>
					<?php
						while($r3 = mysql_fetch_array($sql_camarero)){
					?>
					<option value="<?php echo $r3['nombre']?>" <?php if($camarero==$r3['nombre']){echo 'selected';}?>><?php echo $r3['nombre']?></option>
						<?php }?>
					</select>
				</div>
				
				<div class="col-md-4">
					<b class="text-primary">Nombre</b><br>
					<input type="text" class="form-control mt-2 mb-2" onBlur="set_ticket()" autocomplete="off" name="txt-ticket" id="txt-ticket"  value="<?php echo $ticket?>" placeholder="A nombre de..">
				</div>
			</div>
				
				
				
				
				<div class="row">
					<div class="col-md-5">
						<input type="text" class="form-control mt-2 mb-2" name="txt-buscar" id="txt-buscar" autofocus placeholder="Codigo..." onKeyUp="lista_productos00(this.value)">
						<!--div style="background:red; color:white" onClick="hide_lista_productos()" class="panel panel-default" style="position:absolute;width:90%; padding:8px; margin-top:35px" id="lista_productos_">
					
						</div-->
					
					</div>
					<div class="col-md-7">
						<button class="btn btn-secondary mt-2 mb-2" name="btn_buscar" id="btn_buscar" onClick="$('#btn_buscar').html('Buscando...')"><b>Agregar</b></button>
						<a href="#" class="btn btn-default mt-2 mb-2 text-primary" onClick="$('#modalProductos').modal('show'); $('#txt-buscar2').focus()" id="btn_modal_productos"><b>..</b><i class='bi bi-search'></i></a>
						<!--a href="#" class="btn btn-default mt-2 mb-2" id="btn-confirmar" onClick="confirmar()">Confirmar</a-->
					</div>
				</div>
				
				<div class="row">
					<div class="col-md-12">
						<span class="text-success"><b>Pedido</b></span><a class="text-danger ml-2 h4" href="#" onClick="borrar_comanda()">Borrar</a> <span class="pull-right text-primary" ><b>TOTAL: </b><span id="lbTotalComanda">0.00</span></span>
						<div class="table-responsive" id="lista000" style="height:150px; overflow-y:scroll">
							
						</div>
						<hr>
						<span class="text-primary"><b>Consumido</b></span><a class="text-success ml-2" href="#" onClick="borrar_cuenta()">Borrar cuenta</a> <span class="pull-right text-primary" ><b>TOTAL: </b><span id="lbTotalComanda2">0.00</span></span>
						<div class="table-responsive" id="lista001">
							
						</div>
						
					</div>
				</div>
			</form>
			</div>
		</div>
	</div>
</div>
</div>
</div>

<!---Modal productos-->
<div class="modal" id="modalProductos" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Productos</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
	  		         <input class="form-control mb-2 bolder" placeholder="Buscar producto..." type="search" id="txt-buscar2" onkeyup="lista_productos00(this.value)">

	  <div class="row">
		<div class="col-md-5">
			<div class="table-responsive" id="listaCategorias">
				<?php include_once 'lista_categorias.php'?>
			</div>
		</div>
		
		<div class="col-md-7">

			 <div class="table-responsive border p-2" id="lista-productos" style="max-height: 350px; overflow-y: scroll;">

        </div>
		</div>
	  </div>
       
      </div>
      <div class="modal-footer">
        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<!---Modal cobrar-->
<div class="modal" id="modalContado" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Pago a contado</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">

	  <div class="row">
		<div class="col-xs-2 mt-2">MONTO</div>
		<div class="col-xs-10 mt-2"><input type="number" id="txt-monto" class="form-control" readonly></div>
	  </div>
	  
	  
	  <div class="row">
		<div class="col-xs-2 mt-2">Efectivo</div>
		<div class="col-xs-3 mt-2"><input type="number" onkeyup="calculo()" id="txt-efectivo" class="form-control" placeholder="0.00"></div>
	  </div>
	  
	       <div class="row">
		<div class="col-xs-2 mt-2"><b class="text-primary">Transferencia</b></div>
		<div class="col-xs-3 mt-2"><input type="number" onkeyup="calculo()" id="txt-transferencia" class="form-control" placeholder="0.00 "></div>
		

	  </div>
	  
	   <div class="row">
		<div class="col-xs-2 mt-2">Tarjeta</div>
		<div class="col-xs-3 mt-2"><input type="number" onkeyup="calculo()" id="txt-tarjeta" class="form-control" placeholder="0.00 "></div>
		<div class="col-xs-3 mt-2"><input type="number" onkeyup="calculo()" id="txt-ref-tarjeta" class="form-control" placeholder="####"></div>

	  </div>
	  
	    <div class="row">
		<div class="col-xs-2 mt-2"><b class="text-danger">DEVUELTA</b></div>
		<div class="col-xs-3 mt-2"><input type="number" id="txt-devuelta" class="form-control" placeholder="0.00" readonly></div>
	  </div>
	  
	  
       
      </div>
      <div class="modal-footer">
	    <a class="btn btn-primary" onClick="cobrar()"> <i class="fa fa-w fa-save"></i> Cobrar</a>
        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>




<!---Modal credito-->
<div class="modal" id="modalCredito" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Pago a contado</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">

	  <div class="row">
		<div class="col-xs-2 mt-2">MONTO</div>
		<div class="col-xs-10 mt-2"><input type="number" id="txt-monto2" class="form-control" readonly></div>
	  </div>
	  
	  
	  <div class="row">
		<div class="col-xs-2 mt-2">Efectivo</div>
		<div class="col-xs-3 mt-2"><input readonly type="number" onkeyup="calculo()" id="txt-efectivo2" class="form-control" placeholder="0.00"></div>
	  </div>
	  
	   <div class="row">
		<div class="col-xs-2 mt-2">Tarjeta</div>
		<div class="col-xs-3 mt-2"><input readonly type="number" onkeyup="calculo()" id="txt-tarjeta2" class="form-control" placeholder="0.00 "></div>
		<div class="col-xs-3 mt-2"><input readonly type="number" onkeyup="calculo()" id="txt-ref-tarjeta2" class="form-control" placeholder="####"></div>

	  </div>
	  
	  	     <div class="row">
		<div class="col-xs-2 mt-2"><b class="text-primary">Transferencia</b></div>
		<div class="col-xs-3 mt-2"><input type="number" onkeyup="calculo()" id="txt-transferencia" class="form-control" placeholder="0.00 "></div>
		

	  </div>
	  
	    <div class="row">
		<div class="col-xs-2 mt-2"><b class="text-danger">DEVUELTA</b></div>
		<div class="col-xs-3 mt-2"><input type="number" id="txt-devuelta2" class="form-control" placeholder="0.00" readonly></div>
	  </div>
	  
	  
       
      </div>
      <div class="modal-footer">
	    <a class="btn btn-success" onClick="cobrar2()"> <i class="fa fa-w fa-save"></i> Registrar como credito</a>
        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>



<!---Modal cambio-->
<div class="modal" id="modalCambio" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Productos</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">

	  <div class="row">
		<div class="col-xs-3">
			Desde mesa:
		</div>
		
		<div class="col-xs-3">
			<input type="text" readonly id="mesa_desde" class="form-control">
		</div>
		
		<div class="col-xs-3">
			Hasta mesa:
		</div>
		
		<div class="col-xs-3">
			<select id="mesa_hasta" class="form-control" style="font-size:20px; font-weight:bolder">
				<?php
				 while($r56 = mysql_fetch_array($str_mesa)){
					 echo "<option value='".$r56['nombre']."'>".$r56['nombre']."</option>";
				 }
				?>
			</select>
		</div>
		
		
		
	  </div>
       
      </div>
      <div class="modal-footer">
	  		<a class="btn btn-success" onClick="cambiar_mesa()"> <i class="bi bi-check-circle"></i> Cambiar mesa</a>
			
				  		<a class="btn btn-success" onClick="cambiar_mesa()"> <i class="bi bi-check-circle"></i> Cambiar mesa</a>

        <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>

	 </div>
    </div>
  </div>
</div>



<script>
$(function(){
	estado_();
	set_total_mesa()
})
function calculo(){
	var efectivo = $("#txt-efectivo").val();
	var tarjeta = $("#txt-tarjeta").val();
		var transferencia = $("#txt-transferencia").val();
	if(efectivo==""){efectivo=0;}
	if(tarjeta==""){tarjeta=0;}
	if(transferencia==""){transferencia=0;}
	
	var total = parseFloat(efectivo) + parseFloat(tarjeta)+ parseFloat(transferencia)
	var monto = $("#txt-monto").val();
	var res = total - monto;
	if(res>0){
		 $("#txt-devuelta").val(res);
	}else{
		 $("#txt-devuelta").val("");
	}
	
	
}

function modalContado(){
		if($("#txt_total_comanda2").val()<=0 || $("#txt_total_comanda2").val()==""){
		alert("Cuenta no tiene un monto para cobrar");
		return
	}
	
	if($("#txt_total_comanda").val()>0){
		alert("Hay productos sin confirmar en la lista de pedidos");
		return
	}
	$("#txt-devuelta").val("");
	$("#modalContado").modal("show");
	$("#txt-efectivo").val("");
	$("#txt-tarjeta").val("");
	$("#txt-ref-tarjeta").val("");
	$("#txt-monto").val($("#txt_total_comanda2").val());
	$("#txt-efectivo").focus();
	$("#txt-efectivo").select();

}

function modalCredito(){
		if($("#txt_total_comanda2").val()<=0 || $("#txt_total_comanda2").val()==""){
		alert("Cuenta no tiene un monto para cobrar");
		return
	}

if($("#txt_total_comanda").val()>0){
		alert("Hay productos sin confirmar en la lista de pedidos");
		return
}
	
if($("#txt-ticket").val()==""){
		alert("DEBE PONER EL NOMBRE DEL CLIENTE");
		
		$("#txt-ticket").focus();
		return
	}
	
	
	$("#txt-devuelta2").val("");
	$("#modalCredito").modal("show");
	$("#txt-efectivo2").val("");
	$("#txt-tarjeta2").val("");
	$("#txt-ref-tarjeta2").val("");
	$("#txt-monto2").val($("#txt_total_comanda2").val());
	$("#txt-efectivo2").focus();
	$("#txt-efectivo2").select();

}


function estado_(){
	var estado = "<?php echo $estado?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	var ticket = "<?php echo $_GET['txt-ticket']?>";
	if(estado=="Disponible" || estado==""){
		$("#txt-buscar").prop("disabled", true);
		$("#txt-ticket").prop("disabled", true);
		$("#btn_buscar").prop("disabled", true);
		$("#btn_modal_productos").hide();
		$("#txt-camarero").prop("disabled", true);
		$("#btn_buscar").prop("disabled", true);
		$("#btn_grabar").prop("disabled", true);
		$("#btn_cerrar_mesa").prop("disabled", true);
		$("#btn_grabar_credito").hide();
		$("#btn_grabar_contado").hide();
		$("#lbBorrar").hide();
	}
	
	if(estado=="Ocupada"){
		//$("#txt-buscar").prop("disabled", true);
		//$("#txt-camarero").prop("disabled", true);
		//$("#btn_buscar").prop("disabled", true);
		
		$("#btn_abrir_mesa").prop("disabled", true);
		
		///$("#lbBorrar").hide();
	}
}
	

function abrir_mesa(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	var ticket = "<?php echo $_GET['txt-ticket']?>";
		///if(!confirm("ABRIR MESA?")){ return; }
		window.location.href="vender2.php?txt-mesa="+mesa+"&abrir=1&txt-camarero="+camarero;
}
	

function cerrar_mesa(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
		if(!confirm("CANCELAR PEDIDO?")){ return; }
		window.location.href="vender2.php?txt-mesa="+mesa+"&cerrar=1&txt-camarero="+camarero;
}

function cerrar_mesa2(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
		////if(!confirm("CERRAR MESA?")){ return; }
		window.location.href="vender2.php?txt-mesa="+mesa+"&cerrar=1&txt-camarero="+camarero;
}


lista();
function lista(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	
	
				$.get("carrito_comanda.php?txt-mesa="+mesa+"&txt-camarero="+camarero, function(data,st){
					if(st=="success"){
						$("#lista000").html(data)
						$("#lbTotalComanda").html(numeral($("#txt_total_comanda").val()).format('0,00.00'))
						}else{
							////alert("No tiene acceso para esta operacion")
							return
						}
					
				})
}

lista2();
function lista2(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	
				$.get("carrito_comanda2.php?txt-mesa="+mesa+"&txt-camarero="+camarero, function(data,st){
					if(st=="success"){
						$("#lista001").html(data)
						$("#lbTotalComanda2").html(numeral($("#txt_total_comanda2").val()).format('0,00.00'))
						}else{
							////alert("No tiene acceso para esta operacion")
							return
						}
					
				})
}


 lista_mesa()
function lista_mesa(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	
				$.get("lista_mesa2.php?txt-mesa="+mesa+"&txt-camarero="+camarero, function(data,st){
					if(st=="success"){
						$("#lista_mesa").html(data)
						/////$("#lbTotalComanda").html(numeral($("#txt_total_comanda").val()).format('0,00.00'))
						}else{
							////alert("No tiene acceso para esta operacion")
							return
						}
					
				})
}


function borrar_comanda(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	if(!confirm("Seguro de borrar pedido?")){ return; }
		window.location.href="vender2.php?txt-mesa="+mesa+"&borrar=1";
}

function borrar_cuenta(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	if(!confirm("Seguro de borrar esta cuenta?")){ return; }
		window.location.href="vender2.php?txt-mesa="+mesa+"&borrar_cuenta=1";
}

function confirmar(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	var ticket = "<?php echo $_GET['txt-ticket']?>";
	///if(!confirm("Seguro de borrar pedido?")){ return; }
		window.location.href="vender2.php?txt-mesa="+mesa+"&confirmar=1"+"&txt-camarero="+camarero+"&txt-ticket="+ticket;
}

function mas(n){
	var c = $("#"+n).val();
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	window.location.href="vender2.php?txt-mesa="+mesa+"&n="+c+"&id="+n+"&txt-camarero="+camarero+"&add=1";

		
}

function menos(n){
	var c = $("#"+n).val();
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	window.location.href="vender2.php?txt-mesa="+mesa+"&n="+c+"&id="+n+"&txt-camarero="+camarero+"&sub=1";

		
}

function mas0(n){
	
	var c = $("#"+n).val();
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	window.location.href="vender2.php?txt-mesa="+mesa+"&n="+c+"&id="+n+"&txt-camarero="+camarero+"&add0=1";	
}

function menos0(n){
	var c = $("#"+n).val();
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	window.location.href="vender2.php?txt-mesa="+mesa+"&n="+c+"&id="+n+"&txt-camarero="+camarero+"&sub0=1";

		
}


function set_ticket(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	var param="txt-mesa="+mesa+"&txt-camarero="+camarero+"&txt-ticket="+$("#txt-ticket").val()
	$.get("set_ticket.php?"+param,function(data, st){
		if(st=="success"){
			///
			window.location.reload()
		}
	})
}
set_total_mesa();
function set_total_mesa(){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	var total = $("#txt_total_comanda2").val()
	var param="txt-mesa="+mesa+"&txt-camarero="+camarero+"&txt-ticket="+$("#txt-ticket").val()+"&total="+total
	$.get("set_total_mesa.php?"+param,function(data, st){
		if(st=="success"){
			///
			///alert(data);
		}
	})
}

function lista_items_variedad(variedad){
	
	var param="variedad="+variedad
	$.get("lista_items_variedad.php?"+param,function(data, st){
		if(st=="success"){
			$("#lista-productos").html(data)
		}
	})
}


function agregar(codigo){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	var param="txt-mesa="+mesa+"&txt-camarero="+camarero+"&txt-ticket="+$("#txt-ticket").val()
	window.location.href="vender2.php?txt-mesa="+mesa+"&txt-camarero="+camarero+"&btn_buscar=true&txt-buscar="+codigo;

}


function del_item(d){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	var param="txt-mesa="+mesa+"&txt-camarero="+camarero+"&txt-ticket="+$("#txt-ticket").val()+"&delete=1"+"&id_delete="+d
	window.location.href="vender2.php?"+param;

}

function del_item2(d){
	var mesa = "<?php echo $_GET['txt-mesa']?>";
	var camarero = "<?php echo $_GET['txt-camarero']?>";
	var param="txt-mesa="+mesa+"&txt-camarero="+camarero+"&txt-ticket="+$("#txt-ticket").val()+"&delete2=1"+"&id_delete="+d
	window.location.href="vender2.php?"+param;

}

function cobrar(){
	
	var efectivo = $("#txt-efectivo").val()
var tarjeta = $("#txt-tarjeta").val()
var transferencia = $("#txt-transferencia").val()
	if(efectivo==""){efectivo=0;}
	if(tarjeta==""){tarjeta=0;}
	if(transferencia==""){transferencia=0;}
		var itt = parseFloat(efectivo) + parseFloat(tarjeta) + parseFloat(transferencia);
	
	if(itt>$("#txt_total_comanda2").val() && tarjeta>0){
		alert("DISTRIBUCION DE PAGO ERRONEA");
		return;
	}
	
	
	var total = parseFloat(efectivo) + parseFloat(tarjeta) + parseFloat(transferencia)
	var monto = $("#txt-monto").val();
	var res = total - monto;
	///alert(res)
	if(res<0){
		alert("Verifique el total de la venta");
		return;
	}
	
	
var variables ="camarero="+$("#txt-camarero").val();
variables+="&ticket="+$("#txt-ticket").val();
variables+="&termino=Contado";
variables+="&cobrado="+total;
variables+="&efectivo="+$("#txt-efectivo").val();
variables+="&tarjeta="+$("#txt-tarjeta").val();
variables+="&transferencia="+$("#txt-transferencia").val();
variables+="&ref_tarjeta="+$("#txt-ref-tarjeta").val();
variables+="&cambio="+$("#txt-devuelta").val();
variables+="&mesa="+$("#txt-mesa").val();
variables+="&monto="+$("#txt_total_comanda2").val();
variables+="&costo="+$("#txt_total_costo").val();
variables+="&funcion=generar";




	$.get("venta.php?"+variables, function(data, st){
		if(st=="success"){
			
			if(data=="1"){
				$("#modalContado").modal("hide")
				
				 imprimir();
			}else{
				alert(data);
			}
		}
	})
}	





function cobrar2(){
	
	var efectivo = $("#txt-efectivo").val()
var tarjeta = $("#txt-tarjeta").val()

	if(efectivo==""){efectivo=0;}
	if(tarjeta==""){tarjeta=0;}
	
	
	
	
total = $("#txt-monto2").val()
var variables ="camarero="+$("#txt-camarero").val();
variables+="&ticket="+$("#txt-ticket").val();
variables+="&cliente="+$("#txt-ticket").val();
variables+="&termino=Credito";
variables+="&cobrado="+total;
variables+="&efectivo="+$("#txt-efectivo2").val();
variables+="&tarjeta="+$("#txt-tarjeta2").val();
variables+="&ref_tarjeta="+$("#txt-ref-tarjeta2").val();
variables+="&cambio="+$("#txt-devuelta2").val();
variables+="&mesa="+$("#txt-mesa").val();
variables+="&monto="+$("#txt_total_comanda2").val();
variables+="&costo="+$("#txt_total_costo").val();
variables+="&funcion=generar";




	$.get("venta.php?"+variables, function(data, st){
		if(st=="success"){
			
			if(data=="1"){
				$(".btn").hide()
				
				 imprimir();
			}else{
				alert(data);
			}
		}
	})
}	




function imprimir(){
	$(".modal").modal('hide')
	$("#caja").hide()
	$("#fondo").show()
	$.get("venta.php?funcion=ultima_venta", function(data, st){
		if(st=="success"){
		 id = data
		 window.open("recibo_venta.php?id="+id,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=300,height=850');
		 setTimeout(function(){
			 cerrar_mesa2()
			 ////window.location.reload()
		 },5000)
		}
	})
}

function imprimir2(mesa){

	$(".modal").modal('hide')
	$("#caja").hide()
	$("#fondo").show()

window.open("precuenta.php?mesa="+mesa,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=300,height=850');
 setTimeout(function(){
			
			 window.location.reload()
		 },5000)
}

function generar_venta(){
var variables ="camarero="+$("#txt-camarero").val();
variables+="&ticket="+$("#txt-ticket").val();
variables+="&termino="+$("#termino").val();
variables+="&cobrado="+$("#cobrado").val();
variables+="&efectivo="+$("#efectivo").val();
variables+="&tarjeta="+$("#tarjeta").val();
variables+="&cambio="+$("#cambio").val();
variables+="&cambio="+$("#cambio").val();
variables+="&mesa="+$("#txt-mesa").val();
variables+="&monto="+$("#txt_total_comanda2").val();
variables+="&costo="+$("#txt_total_costo").val();
variables+="&funcion=verificar";

	$.get("venta.php?mesa="+mesa+"&funcion=generar", function(data, st){
		if(st=="success"){
			
			if(data=="1"){
				alert("Venta generada con exito!");
			}else{
				alert(data);
			}
		}
	})
}



$("#div_referencia_tarjeta").hide()
function div_referencia_tarjeta(t){
	if(t=="Tarjeta"){
		$("#div_referencia_tarjeta").show()
		$("#txt-reftarjeta").focus();
		$("#txt-reftarjeta").select();
		
	}else{
		$("#div_referencia_tarjeta").hide()
	}
}


function modalCambio(mesa){
	$("#modalCambio").modal("show");
	$("#mesa_desde").val(mesa)
}


function cambiar_mesa(){
	if(!confirm("CAMBIAR MESA?")){ return; }
	var desde = $("#mesa_desde").val()
	var hasta = $("#mesa_hasta").val()
	$.get("cambio_mesa.php?mesa_desde="+desde+"&mesa_hasta="+hasta, function(data, st){
		if(st=="success"){
		 if(data=="1"){
			var mesa = $("#txt-mesa").val()
			var camarero =  $("#txt-camarero").val()
			var ticket =  $("#txt-ticket").val()
			
			window.location.href="vender2.php?txt-mesa="+mesa+"&txt-camarero="+camarero+"&txt-ticket="+ticket;
		 }else{
			 alert(data)
		 }
		 
		}
	})
}




function nuevo_pedido(){
	window.location.href="vender2.php?nuevo=1";
}


function lista_productos00(filtro){
	
	var param="filtro="+filtro
	$.get("lista_productos.php?"+param,function(data, st){
		if(st=="success"){
			$("#lista-productos").html(data)
		}
	})
}
</script>



<?php


include_once '../footer.php';
?>

